INCLUDES = -I$(srcdir)/.. \
           -I$(srcdir)/../engine \
	   -I$(srcdir)/../misc \
	   -I$(srcdir)/../widgets/browser \
	   -I.. \
	   -I../ui \
	   -I$(top_builddir) \
	   -I$(top_builddir)/kftpgrabber/src \
	   $(all_includes)
	   
METASOURCES = AUTO

noinst_LTLIBRARIES =
noinst_LIBRARIES =  libwidgets.a
libwidgets_a_SOURCES = logview.cpp 		 kftpselectserverdialog.cpp \
				kftpselectserverdialog.h 		 kftpserverlineedit.cpp 		 kftpserverlineedit.h 		 listview.cpp 		 \
				quickconnect.cpp 		 systemtray.cpp 		 balloon.cpp 		searchdialog.cpp 		 \
		kftpzeroconflistview.cpp 		 trafficgraph.cpp 		 kftptabwidget.cpp 		 		failedtransfers.cpp 		 \
		listviewitem.cpp 		 sidebar.cpp 		 multitabbar.cpp 		 		configdialog.cpp \
		configfilter.cpp verifier.cpp filtereditor.cpp widgetlister.cpp overlaywidget.cpp \
	popupmessage.cpp

SUBDIRS = queueview browser bookmarks

noinst_HEADERS = listview.h quickconnect.h 		 systemtray.h 		 		searchdialog.h \
				 kftpzeroconflistview.h 		 trafficgraph.h 		 kftptabwidget.h 		 \
				logview.h 		 failedtransfers.h 		 listviewitem.h 		 sidebar.h 		 multitabbar.h 		 \
				multitabbar_p.h 		 configdialog.h configfilter.h verifier.h balloon.h filtereditor.h \
		widgetlister.h overlaywidget.h popupmessage.h

